CREATE TABLE storage_usage_history (
  id                INT,
  time              INT,
  online_size_add   FLOAT,
  online_size_del   FLOAT,
  online_size_total FLOAT,
  online_file_add   INT,
  online_file_del   INT,
  online_file_total INT,
  trash_size_add    FLOAT,
  trash_size_del    FLOAT,
  trash_size_total  FLOAT,
  trash_file_add    INT,
  trash_file_del    INT,
  trash_file_total  INT,
  PRIMARY KEY (id, time)
);

ALTER TABLE storage_locations ADD trash_size FLOAT;
ALTER TABLE storage_locations ADD trash_files INT;

DELETE FROM ds_config WHERE cfg_id = 33; -- move bad files

-- empty trash minimum days
INSERT INTO ds_config(cfg_id,cfg_value,cfg_constraint,cfg_name,cfg_text)
        VALUES (80, '7', 'I0;365', 'MinTrashDays',
       'Empty trash minimum days.');

--Storage Usage
INSERT INTO notification_admin (type, enabled, param1, param2, param3, freq1, freq2, freq3, lastWarningLevel, lastWarningTime) VALUES (11, 1, 8, 18, 0, 24, 0, 0, 0, 0);

UPDATE ds_config SET cfg_constraint = 'I1;32' WHERE cfg_id = 3;

UPDATE ds_data SET db_number = 165  WHERE db_number = 164;
UPDATE ds_data SET db_number = -165 WHERE db_number = -164;
