ALTER TABLE clients_tools ADD saas_online_size float;
ALTER TABLE clients_tools ADD exchange_online_size float;
ALTER TABLE clients_tools ADD sharepoint_online_size float;
ALTER TABLE clients_tools ADD onedrive_online_size float;
ALTER TABLE clients_tools ADD gsuite_online_size float;
ALTER TABLE clients_tools ADD salesforce_online_size float;
ALTER TABLE clients_tools ADD exchange_mailbox_used int;
ALTER TABLE clients_tools ADD sharepoint_user_used int;
ALTER TABLE clients_tools ADD onedrive_user_used int;
ALTER TABLE clients_tools ADD gsuite_user_used int;
ALTER TABLE clients_tools ADD salesforce_user_used int;
ALTER TABLE clients_tools ADD physical_online_size float;
ALTER TABLE clients_tools ADD virtual_online_size float;

CREATE TABLE client_usage_logs (
  log_date               int NOT NULL,
  account_id             int NOT NULL,
  box_id                 int NOT NULL,
  tools                  bytea,
  physical_online_size   float,
  physical_machine_used  int,
  physical_cpu_used      int,
  virtual_online_size    float,
  virtual_vm_used        int ,
  virtual_host_used      int,
  virtual_cpu_used       int,
  saas_online_size       float,
  saas_native_size       float,
  saas_user_used         int, 
  exchange_online_size   float,
  sharepoint_online_size float,
  onedrive_online_size   float,
  gsuite_online_size     float,
  salesforce_online_size float,
  exchange_mailbox_used  int,
  sharepoint_user_used   int,
  onedrive_user_used     int,
  gsuite_user_used       int,
  salesforce_user_used   int,
  vm_rep_native_size     float,
  vm_rep_count_used      int,
  local_only_size        float,
  cyber_used             int,
  blm_ds_size            float,
  native_size            float,
  vdr_local_cnt          int,
  vdr_remote_cnt         int
);
CREATE UNIQUE INDEX idx_client_usage_logs ON client_usage_logs(log_date,account_id,box_id);


UPDATE ds_data SET db_number =  236 WHERE db_number =  235;
UPDATE ds_data SET db_number = -236 WHERE db_number = -235;
