CREATE TABLE exp_logs (
  idx_id   SERIAL PRIMARY KEY,
  tbl_name VARCHAR(1024) NOT NULL,
  col_type INT NOT NULL,
  col_name VARCHAR(1024) NOT NULL
);

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', -1, 'start_session_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 6, 'account_num');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 6, 'dsbox_snum');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 3, 'connect_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 3, 'start_session_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 3, 'end_session_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 2, 'files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'online_delta');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'online_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'transmit_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'arch_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 1, 'status');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 1, 'completion');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 1, 'session_type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 1, 'sub_type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 2, 'session_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 6, 'description');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'dsdelta_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'lib_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 2, 'owner_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 4, 'new_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 2, 'new_files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 2, 'cluster_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 6, 'system_address');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('connection_log', 0, 'end_session_time IS NOT NULL');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', -1, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 1, 'type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 3, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 1, 'category');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 2, 'error');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 6, 'ev_text');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 6, 'userid');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 2, 'ex_long');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('event_log', 6, 'ex_text');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', -1, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 1, 'type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 3, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 1, 'category');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 2, 'error');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 6, 'ev_text');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 6, 'userid');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 2, 'ex_long');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 2, 'client_ex_long');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('clients_event_log', 6, 'ex_text');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', -1, 'st_date');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 3, 'st_date');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 6, 'dsbox_snum');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 4, 'online_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 2, 'online_files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 4, 'new_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 2, 'new_files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 4, 'transmit_amount');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 4, 'online_bck');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 2, 'backup_files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 4, 'ds_size');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('storage', 2, 'actual_time');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', -1, 'time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 3, 'time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 6, 'userid');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 1, 'type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 1, 'table_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 6, 'table_name');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('ds_audit', 6, 'remark');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', -1, 'sum_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 3, 'sum_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 2, 'send');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 2, 'recv');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 1, 'cpu_load');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 1, 'mem_load');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 1, 'activities');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('load_summary', 1, 'clusterid');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', -1, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 3, 'ev_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 2, 'system_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 2, 'ev_no');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 2, 'ev_type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 6, 'ev_text');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('cluster_events', 6, 'ipaddress');

INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', -1, 'start_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'acc_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'box_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'req_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'type');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 6, 'account_num');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 6, 'account_name');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 6, 'dsbox_snum');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 6, 'dsset_name');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 3, 'start_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 3, 'end_time');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'errors');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'warnings');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'fixed');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'checked_files');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 4, 'checked_size');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 4, 'checked_dssize');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 2, 'activity_id');
INSERT INTO exp_logs (tbl_name, col_type, col_name) VALUES
       ('healing_history', 6, 'description');

-- Update the db version
UPDATE ds_data SET db_number = 84 WHERE db_number = 83;
